# draugr.opencv_utilities.namespaces.enums.CameraPropertyEnum

class draugr.opencv_utilities.namespaces.enums.CameraPropertyEnum(value)

  Bases: `Enum`

  An enumeration.

  __init__()

  Attributes

  `settings` |
  `auto_focus` |
  `pos_msec` |
  `pos_frames` |
  `avi_ratio` |
  `frame_width` |
  `frame_height` |
  `fps` |
  `fourcc` |
  `frame_count` |
  `format` |
  `mode` |
  `brightness` |
  `contrast` |
  `saturation` |
  `hue` |
  `gain` |
  `exposure` |
  `convert_rgb` |
  `white_balance_blue` |
  `white_balance_red` |
  `white_balance_ios` |
  `rectification` |
  `monochrome` |
  `sharpness` |
  `gamma` |
  `temperature` |
  `trigger` |
  `trigger_delay` |
  `zoom` |
  `focus` |
  `guid` |
  `iso_speed` |
  `backlight` |
  `pan` |
  `tilt` |
  `roll` |
  `iris` |
  `buffer_size` |
  `sar_num` |
  `sar_den` |
  `backend` |
  `channel` |
  `auto_wb` |
  `wb_temperature` |
  `codec_pixel_format` |
  `bitrate` |
  `orientation_meta` |
  `orientation_auto` |
  `open_timeout_msec` |
  `read_timeout_msec` |
  `stream_open_time_usec` |
  `video_total_channels` |
  `video_stream` |
  `audio_stream` |
  `audio_pos` |
  `audio_shift_nsec` |
  `audio_data_depth` |
  `audio_samples_per_second` |
  `audio_base_index` |
  `audio_total_channels` |
  `audio_total_streams` |
  `audio_synchronize` |
  `lrf_has_key_frame` |
  `codec_extradata_index` |